Loading...
Searching...
No Matches
bts_features.c File Reference

osmo-bts features. More...

`#include <osmocom/core/utils.h>`
`#include <osmocom/gsm/bts_features.h>`

## Functions

| osmo_static_assert (ARRAY_SIZE(osmo_bts_features_descs)==_NUM_BTS_FEAT+1, _bts_features_descs)
const char * | osmo_bts_feature_name (enum osmo_bts_features feature)
| return description string of a BTS feature (osmo_bts_features_descs).
| osmo_static_assert (ARRAY_SIZE(osmo_bts_features_names)==_NUM_BTS_FEAT+1, _bts_features_names)

## Variables

const struct value_string | osmo_bts_features_descs []
const struct value_string | osmo_bts_features_names []

## Detailed Description

osmo-bts features.

## Function Documentation

## osmo_bts_feature_name()

const char * osmo_bts_feature_name | ( | enum osmo_bts_features | feature | ) |

return description string of a BTS feature (osmo_bts_features_descs).

To get the plain feature name, use osmo_bts_features_name() instead.

References osmo_bts_features_descs.

## osmo_static_assert() [1/2]

osmo_static_assert | ( | ARRAY_SIZE(osmo_bts_features_descs) | = =_NUM_BTS_FEAT+1,
|  | _bts_features_descs | )

References _NUM_BTS_FEAT, and osmo_bts_features_descs.

## osmo_static_assert() [2/2]

osmo_static_assert | ( | ARRAY_SIZE(osmo_bts_features_names) | = =_NUM_BTS_FEAT+1,
|  | _bts_features_names | )

References _NUM_BTS_FEAT, and osmo_bts_features_names.

## Variable Documentation

## osmo_bts_features_descs

const struct value_string osmo_bts_features_descs[]

Referenced by osmo_bts_feature_name(), osmo_bts_features_desc(), and osmo_static_assert().

## osmo_bts_features_names

const struct value_string osmo_bts_features_names[]

Referenced by osmo_bts_features_name(), and osmo_static_assert().